List routing rules
Returns a list of all routing rules configured for intelligent request routing across providers.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Query Parameters
scope?string
Filter routing rules by scope (global, team, customer, virtual_key)
scope_id?string
Filter routing rules by scope ID
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/api/governance/routing-rules?scope=string&scope_id=string"{
"rules": [
{
"id": "string",
"name": "string",
"description": "string",
"enabled": true,
"cel_expression": "string",
"targets": [
{
"provider": "string",
"model": "string",
"key_id": "string",
"weight": 0.5
}
],
"fallbacks": [
"string"
],
"scope": "global",
"scope_id": "string",
"priority": 0,
"query": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"count": 0
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}